# Backend Guide
## Git
### 介绍
`git` 是一个分布式版本控制软件，可以用它来管理文件的变动，方便追踪版本历史记录

### 要求
+ 会通过 `git` 简单的管理代码
+ 会连接到远程 `git` 仓库并保持同步

### 参考链接
+ [Git 教程 | 廖雪峰的官方网站](https://www.liaoxuefeng.com/wiki/896043488029600 "Git 教程 | 廖雪峰的官方网站")
+ [Git 教程 | 菜鸟教程](https://m.runoob.com/git/git-basic-operations.html "Git 教程 | 菜鸟教程")

### Test
1. 在任意 `git` 托管网站建立一个存储库
2. 将在本地新建的 `git` 存储库和 `git` 托管网站上的远程库同步
3. 将任意文件同步到 `git` 托管网站

### 推荐的存储库列表
+ [我的自建Git](https://git.luthics.com/) 推荐注册，使用 `Gitea` 搭建，会是近期内工作的主要平添
+ [Github](https://github.com/) 最有知名度的一个，国内网络环境下可能出现连接不稳定
+ [Gitee](https://gitee.com/) 国内最知名的，公开库有代码审查，用起来不太方便

## Python
### 要求
+ 基础的 `Python` 语法
+ 基础的面向对象知识
+ 会通过库管理器 `pip` 安装第三方库

## SQL
### 要求
+ 掌握数据库基础知识
+ 会写简单的 `SQL` 语句
+ 会通过 `Python` 连接到数据库并管理数据库

## HTML
### 要求
+ 了解 `HTTP` 基础知识
+ 了解 `HTML` 的基本组成元素
+ 会写简单的网页
+ 掌握网页的简单调试方法(`F12`)
+ 了解 `session`, `cookie` 等概念

## Flask [Python]
### 要求
+ 了解 `Flask` 框架基础知识
+ 会用 `Flask` 框架撰写简单的 `HTTP` 服务器

## 爬虫 Requests & BeautifulSoup  [Python]
### 要求
+ 会通过 requests 库发送各类请求
+ 会通过 bs4 快速寻找 html 中的元素
+ 了解简单的正则

## Markdown
### 要求
+ 了解基本格式
+ 掌握基本的 `API` 文档格式